Loading...
Searching...
No Matches
websocketpp::concurrency::none_impl::fake_mutex Class Reference

A fake mutex implementation that does nothing. More...

`#include <none.hpp>`

## Detailed Description

A fake mutex implementation that does nothing.

Definition at line 39 of file none.hpp.

## Constructor & Destructor Documentation

## fake_mutex()

websocketpp::concurrency::none_impl::fake_mutex::fake_mutex | ( |  | ) |

inline

Definition at line 41 of file none.hpp.

## ~fake_mutex()

websocketpp::concurrency::none_impl::fake_mutex::~fake_mutex | ( |  | ) |

inline

Definition at line 42 of file none.hpp.

The documentation for this class was generated from the following file:

- websocketpp/concurrency/none.hpp